IDT(4)

NAME
idt - device driver for IDT NICStAR-based ATM interfaces

SYNOPSIS
device idt
device atm

DESCRIPTION
The idt device driver supports ATM network interfaces based on the IDT NICStAR 77211 controller, including the FORE Systems ForeRunner LE25 and LE155. For configuring the card for IP see natmip(4).

ATM CBR connections are supported, and bandwidth is allocated in slots of 64k each. Three VBR queues handle traffic for VBR and UBR. Two UBR queues prioritize UBR traffic. ILMI and signalling get the higher priority queue, as well as UBR traffic that specifies a peak cell rate. All other UBR traffic goes into the lower queue.

The following sysctls are recognized by the driver:

hw.idt.log_bufstat
    Print statistics about buffer use to the system log periodically.

hw.idt.log_vcs
    Print information about VC opens, closes, and other events to the system log.

hw.idt.bufs_large
    Set or print the maximum size of the 2KB buffer queue.

hw.idt.bufs_small
    Set or print the maximum size of the mbuf queue.

hw.idt.cur_large
    Print the current size of the 2KB buffer queue.

hw.idt.cur_small
    Print the current size of the mbuf queue.

hw.idt.qptr_hold
    Optimize the TX queue buffer for lowest overhead.

SEE ALSO
natm(4), natmip(4), ifconfig(8), route(8)

AUTHORS
-nosplit Richard Hodges, based on the original driver for FreeBSD 2.2 by Mark Tinguely. Bruce M. Simpson wrote this manual page and backported the driver to FreeBSD 4.9.